Subject: Re: [PATCH MISC 1/1] Make gcc warning about empty if body go away.

From: Andreas Ericsson <[email-masked]>
Date: Thu, 08 Nov 2007 16:47:26 +0100

Jon Loeliger wrote:
> Andreas Ericsson wrote:
> 
>>> +    if (active_cache_changed &&
>>> +        !write_cache(fd, active_cache, active_nr) && !close(fd))
>>> +        commit_locked_index(lock_file);
>>>      rollback_lock_file(lock_file);
>>>  }
>>>  
>>
>> Ack, obviously, as it no longer requires a comment to explain it, 
>> although
>> I'd prefer an empty line after commit_locked_index(lock_file); so as 
>> to not
>> confuse the rollback_lock_file() statement as being part of the 
>> conditional
>> path.
>>
>> First I thought the rollback_lock_file() was the *only* statement to the
>> condition, and everyone who uses 4 for tabsize) will have double trouble
>> since commit_locked_index(lock_file) aligns with the second line of the
>> condition.
>>
> 
> It's too bad this was confusing due to the lack of braces. :-)
> 

I found that slightly ironic too, since I really don't like overly bracey
code either. Just goes to show there are no rules without exceptions, I
guess.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231